/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/locationsingleton_p.h>
#include <private/qdeclarativegeoaddress_p.h>
#include <private/qdeclarativegeolocation_p.h>
#include <private/qdeclarativepluginparameter_p.h>
#include <private/qdeclarativeposition_p.h>
#include <private/qdeclarativepositionsource_p.h>
#include <private/qpositioningquickmodule_p.h>
#include <private/qquickgeocoordinateanimation_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtPositioning()
{
    qmlRegisterModule("QtPositioning", 6, 0);
    qmlRegisterTypesAndRevisions<LocationSingleton>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QDeclarativeGeoAddress>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QDeclarativeGeoLocation>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QDeclarativePluginParameter>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QDeclarativePosition>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QDeclarativePositionSource>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoAddressForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoCircleForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoCoordinateForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoCoordinateObjectForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoLocationForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoPathForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoPolygonForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoPositionInfoForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoRectangleForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QGeoShapeForeign>("QtPositioning", 6);
    qmlRegisterTypesAndRevisions<QQuickGeoCoordinateAnimation>("QtPositioning", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickAbstractAnimation>("QtPositioning", 6);
    qmlRegisterModule("QtPositioning", 6, 3);
}

static const QQmlModuleRegistration registration("QtPositioning", qml_register_types_QtPositioning);
